%define anolis_release 1

%global srcname sphinxcontrib-trio

Name:           python-%{srcname}
Version:        1.1.2
Release:        %{anolis_release}%{?dist}
Summary:        Make Sphinx better at documenting Python functions and methods
License:        MIT or ASL 2.0
URL:            https://github.com/python-trio/sphinxcontrib-trio
Source0:        %{pypi_source}
Patch0:         python-sphinxcontrib-trio-1.1.2.patch
BuildArch:      noarch

%global desc                                                            \
This sphinx extension helps you document Python code that uses          \
async/await, or abstract methods, or context managers, or generators,   \
or ... you get the idea. It works by making sphinx's regular            \
directives for documenting Python functions and methods smarter and     \
more powerful. The name is because it was originally written for the    \
Trio project, and I'm not very creative. But don't be put off –         \
there's nothing Trio- or async-specific about this extension; any       \
Python project can benefit. (Though projects using async/await          \
probably benefit the most, since sphinx's built-in tools are            \
especially inadequate in this case.)

%description
%desc


%package -n python3-%{srcname}
BuildRequires:  python3-devel
BuildRequires:  python3-sphinx
BuildRequires:  %{_bindir}/rst2html
BuildRequires:  make
Summary: %{summary}

%description -n python3-%{srcname}
%desc

%package -n     python3-%{srcname}-doc
Summary:        doc files for python3-%{srcname}
Requires:       python3-%{srcname} = %{version}-%{release}

%description -n python3-%{srcname}-doc
doc files for python3-%{srcname}

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel
make -C docs html SPHINXBUILD=%{_bindir}/sphinx-build-3
rm -f docs/build/html/.buildinfo
rst2html README.rst README.html

%install
%pyproject_install


%check
%{__python3} setup.py test


%files -n python3-%{srcname}
%license LICENSE LICENSE.MIT LICENSE.APACHE2
%doc README.html
%doc docs/build/html
%{python3_sitelib}/*

%files -n python3-%{srcname}-doc
%doc README.rst

%changelog
* Tue Apr 04 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.1.2-1
- Init upstream from version 1.1.2
